cURL
curl --request PATCH \
--url https://platform.thena.ai/v1/tickets/{id}/unarchive \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/tickets/{id}/unarchive"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/tickets/{id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"ticketIdentifier": "<string>",
"title": "<string>",
"ticketId": 123,
"description": "<string>",
"source": "<string>",
"accountId": "<string>",
"status": "<string>",
"statusId": "<string>",
"priority": "<string>",
"priorityId": "<string>",
"storyPoints": 123,
"account": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"teamIdentifier": "<string>",
"subTeamId": "<string>",
"subTeamName": "<string>",
"subTeamIdentifier": "<string>",
"isPrivate": true,
"typeId": "<string>",
"type": "<string>",
"assignedAgent": "<string>",
"assignedAgentId": "<string>",
"assignedAgentEmail": "<string>",
"assignedAgentAvatar": "<string>",
"requestorEmail": "<string>",
"customerContactId": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactEmail": "<string>",
"submitterEmail": "<string>",
"customFieldValues": [
"<string>"
],
"deletedAt": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"formId": "<string>",
"aiGeneratedTitle": "<string>",
"aiGeneratedSummary": "<string>",
"sentiment": "<string>",
"sentimentId": "<string>",
"teamIcon": "<string>",
"teamColor": "<string>",
"teamOrganizationId": "<string>",
"teamParentTeamId": "<string>",
"teamDescription": "<string>",
"teamConfigurationId": "<string>",
"teamTeamOwnerId": "<string>",
"teamIsActive": true,
"teamIsPrivate": true,
"teamCreatedAt": "<string>",
"teamUpdatedAt": "<string>",
"teamDeletedAt": "<string>",
"teamArchivedAt": "<string>",
"subTeamIcon": "<string>",
"subTeamColor": "<string>",
"subTeamOrganizationId": "<string>",
"subTeamParentTeamId": "<string>",
"subTeamDescription": "<string>",
"subTeamConfigurationId": "<string>",
"subTeamTeamOwnerId": "<string>",
"subTeamIsActive": true,
"subTeamIsPrivate": true,
"subTeamCreatedAt": "<string>",
"subTeamUpdatedAt": "<string>",
"subTeamDeletedAt": "<string>",
"subTeamArchivedAt": "<string>",
"lastCustomerComment": "<string>",
"lastVendorComment": "<string>",
"lastComment": "<string>",
"isEscalated": true,
"closedAt": "<string>",
"closedBy": "<string>",
"closedById": "<string>",
"closedByEmail": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Ticket is not archived!"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "You are not authorized to unarchive this ticket!"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Ticket not found!"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "Failed to unarchive ticket, please try again later!"
}Tickets
Unarchive a ticket
Unarchive a ticket for standard and enterprise tier organizations.
PATCH
/
v1
/
tickets
/
{id}
/
unarchive
cURL
Authorizations
Enter your API key
Path Parameters
Response
Operation successful
The status of the response
The message of the response
The timestamp of the response
The response for create/update/delete ticket operations
Show child attributes
Show child attributes
⌘I